/*
 * Listener class for the zone masters.
 * Accepts client connections
 * 
 * @author Frode Voll Aasen
 * @author Tom Christian Bjrlo Johannesen
 */
import java.io.*;
import java.net.*;

public class ClientConnectionHandler extends Thread{
	public ServerSocket server;
	private int port;
	private GameServerConnection gsc;
	public boolean running = true;
	
	/*
	 * Class constructor
	 * 
	 * @param gsc	Reference to the GameServer connection
	 * @param port	Listening port
	 */
	public ClientConnectionHandler(GameServerConnection gsc, int port) {
		this.gsc = gsc;
		this.port = port;
	}

	public void run() {
		try {
			server = new ServerSocket(port);
			System.out.println("ClientConnectionHandler accepting connections on port " + server.getLocalPort());
			while(running) {
				ZMClientConnection cc = new ZMClientConnection(gsc, server.accept());
				cc.start();
			}
			System.out.println("ClientConnectionHandler closing connection");
			//server.close();
		} catch (IOException e) {
			System.err.println(e);
		}

	}
}
