/*
 * Listener class for the game server.
 * Accepts client connections
 * 
 * @author Frode Voll Aasen
 * @author Tom Christian Bjrlo Johannesen
 */
import java.io.*;
import java.net.*;

public class GSConnectionHandler extends Thread{
	private ServerSocket server;
	private int port;
	private GameServer gs;
	
	/*
	 * Class constructor
	 * 
	 * @param gs	Reference to the GameServer object
	 * @param port	Port to listen on
	 */
	public GSConnectionHandler(GameServer gs, int port) {
		this.gs = gs;
		this.port = port;
	}

	public void run() {
		try {
			server = new ServerSocket(port);
			System.out.println("GSConnectionHandler accepting connections on port " + server.getLocalPort());
			while(true) {
				ClientConnection cc = new ClientConnection(gs, server.accept());
				cc.start();
			}
		} catch (IOException e) {
			System.err.println(e);
		}

	}
}
