/*
 * GameServer is the main class for the Server software.
 * It contains references to the other components of the server and defines port numbers
 * 
 * @author Frode Voll Aasen
 * @author Tom Christian Bjrlo Johannesen
 * 
 */

import java.awt.*;
import java.util.ArrayList;

import javax.swing.*;

public class GameServer {
	private final static String ip = "";
	private String database = "";
	private String username = "";
	private String password = "";
	
	public final static int zmchPort = 4493;
	public final static int zmzmcPort = 4500;
	public final static int gschPort = 4492;
	public final static String localIP = "129.241.209.29";
	
	public final static int worldWidth = 100;
	public final static int worldHeight = 100;

	protected boolean running = true;
	public Database db;
	public GSConnectionHandler gsch;
	public ZMConnectionHandler zmch;
	public ZoneManager zm;

	public static void main(String[] args) throws InterruptedException {
		System.out.println("Server Starting...");
		GameServer gs = new GameServer();

		gs.db = new Database(gs, gs.ip, gs.database, gs.username, gs.password);
		gs.db.start();

		gs.gsch = new GSConnectionHandler(gs, gschPort);
		gs.gsch.start();
		
		gs.zmch = new ZMConnectionHandler(gs);
		gs.zmch.start();
		
		gs.zm = new ZoneManager(gs);
		gs.zm.start();

		/*ArrayList parameters = new ArrayList(2);
		parameters.add("test");
		parameters.add("");
		gs.gsch.addInput(new Signal("LogIn", parameters));
		*/
		
		while(gs.running) {

		}

	}
	

}