import java.util.Date;


public class SDLTimer {
	private long timeout;
	private Signal signal; 
	private long startTime;
	private boolean running;
	
	public SDLTimer(long timeout, Signal signal) {
		this.timeout = timeout;
		this.signal = signal;
	}
	
	public void start() {
		Date now = new Date();
		startTime = now.getTime();
		running = true;
	}
	
	public void stop() {
		running = false;
	}
	
	public void reset() {
		Date now = new Date();
		startTime = now.getTime();
	}
	
	public boolean isExpired() {
		if(running) {
			Date now = new Date();
			long currentTime = now.getTime();
			if(currentTime >= (startTime+timeout))
				return true;
		}
		return false;
	}
	
	public Signal getSignal() {
		return signal;
	}
	
}




