/*
 * Listener class for the game server.
 * Accepts zonemaster connections
 * 
 * @author Frode Voll Aasen
 * @author Tom Christian Bjrlo Johannesen
 */
import java.io.*;
import java.net.*;

public class ZMConnectionHandler extends Thread{
	private ServerSocket server;
	private GameServer gs;
	public boolean running = true;
	
	/*
	 * Class constructor
	 * 
	 * @param gs	Reference to the GameServer object
	 */
	public ZMConnectionHandler(GameServer gs) {
		this.gs = gs;
	}

	public void run() {
		try {
			server = new ServerSocket(GameServer.zmchPort);
			System.out.println("ZMConnectionHandler accepting connections on port " + server.getLocalPort());
			while(running) {
				ZoneMasterConnection zm = new ZoneMasterConnection(gs, server.accept());
				zm.start();
			}
			server.close();
		} catch (IOException e) {
			System.err.println(e);
		}

	}
}
