/*
 * Listener class for the zone masters.
 * Accepts connections from other (adjacent) zone masters
 * 
 * @author Frode Voll Aasen
 * @author Tom Christian Bjrlo Johannesen
 */

import java.io.*;
import java.net.*;

public class ZMZMConnectionHandler extends Thread{
	public ServerSocket server;
	private ZoneModel zm;
	public boolean running = true;
	
	/*
	 * Class constructor
	 * 
	 * @param zm	Reference to the ZoneModel
	 */
	public ZMZMConnectionHandler(ZoneModel zm) {
		this.zm = zm;
	}

	public void run() {
		try {
			server = new ServerSocket(4500+zm.Zone.ZoneID);
			System.out.println("ZMZMConnectionHandler accepting connections on port " + server.getLocalPort());
			while(running) {
				ZMZMConnection zm = new ZMZMConnection(this.zm, server.accept());
				zm.start();
			}
			System.out.println("ZMZMConnectionHandler closing connection");
			//server.close();
		} catch (IOException e) {
			System.err.println(e);
		}

	}
}
